Bug 6119 - Installation package selector behaves unexpectedly
Installation package selector behaves unexpectedly
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 1999-10-20 00:40 EDT by jered
Modified: 2008-05-01 11:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-21 16:32:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jered 1999-10-20 00:40:23 EDT
In the graphical installer for Redhat 6.1:

If I select 'Custom' for the sort of install that I would
like, I am presented a number of optional pieces of
functionality I can choose to install. I select a number of
these. If I also select the checkbox to let me individually
select packages as well, I am next presented with a screen
that lets me browse available RPMS.

First, a minor problem. As a UI, this is somewhat
unpleasant. Much of the screen real estate is devoted to
idential icons of folders or boxes. These serve no purpose
and make it much harder for me to see what all my options
are. A simple text listbox would be more appropriate.

More severely, the current state of selected packages does
not reflect the functional groups I had selected from the
previous screen.  I believe that these will still take
effect during the install, but I have no real impression of
what will and will not be installed, which makes the
individual package selection option very difficult to use
effectively. I do not recall this problem with the 6.0
text-based installer. I have not tried the 6.1 text-based

Comment 1 Jay Turner 1999-10-20 11:03:59 EDT
This issue has been forwarded to a developer for further action.
Comment 2 Jay Turner 1999-10-20 15:58:59 EDT
*** Bug 5626 has been marked as a duplicate of this bug. ***

When selecting 'Select individual packages' in the graphical
anaconda installer, the 'base'-packages (that are always
installed) are displayed as unselected.

The text-mode install doesn't display these packages.

A consistent approach would be better.
Comment 3 Jay Turner 1999-10-22 09:38:59 EDT
*** Bug 5629 has been marked as a duplicate of this bug. ***

Some features were missing from installer. These misses
might have some security implications:

- (Bug) In packet selection it is not mentioned which
packages should be recommended and which packages are
installed automatically wheter user wants is or not

- (Bug) Installer automatically put a very wrong address to
primary nameserver field. In previous versions this
address appeared to gateway. Eg. IP is then
installer decides that prim. nameserver is
This .1 used to be a 'default gateway' in previuos

- (Security) What has happened to 'select daemons to start'
at the end of installation? Wrong asnwer is Interactive
bootup. This selection should be able to make at
installation time. For example if I happen to install eg.
sendmail and I don't want it to start at boot. How can this
be done?

- (Security) There is no way to disable the interactive
startup. This is a horrible feature if your console is not
all the time behind locked doors.

------- Additional Comments From notting@redhat.com  10/06/99 10:51 -------
You can disable the interactive stuff.

At the end of /etc/sysconfig/init:
# Set to anything other than 'no' to allow hotkey interactive

Also, you can run ntsysv (or an equivalent) after the install.
We're working on integrating that into the install (doing this
before installation is non-trivial.)
Comment 4 Jay Turner 1999-10-22 09:49:59 EDT
*** Bug 5991 has been marked as a duplicate of this bug. ***

During individual package selection on FTP install, when
collapsing an expanded group of packages, lines in the
listbox which are past the end of the package list are not
cleared. This produces a confusing display. This problem
was not present in earlier versions of the installer.

------- Additional Comments From jturner@redhat.com  10/18/99 14:33 -------
We are aware of this problem and are working to fix it.
Comment 5 Jay Turner 2000-02-21 16:32:59 EST
The selection not being reflected is fixed in the latest beta.  Have added the
screen change request to to feature request list.

Note You need to log in before you can comment on or make changes to this bug.